/**
 * output package name
 */
package com.kingdee.eas.custom.compensation.startingsalary.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractSalaryConfirmationEditUI extends com.kingdee.eas.framework.client.CoreBillEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractSalaryConfirmationEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.kdf.table.KDTable kdtEntrys;
	protected com.kingdee.eas.framework.client.multiDetail.DetailPanel kdtEntrys_detailPanel = null;
    protected com.kingdee.bos.ctrl.kdf.table.KDTable kdtEntrys1;
	protected com.kingdee.eas.framework.client.multiDetail.DetailPanel kdtEntrys1_detailPanel = null;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contperson;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conthireDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contadminOrg;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contposition;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conteSignStatus;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contotherContractBill;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferPositionSalary;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferBaseSalary;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferPerfSalaryBas;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferSalary;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferConfidentialFee;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferAgreedOvertimePay;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsTransferOtherSubsidy;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferSalary;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferBaseSalary;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferPositionSalary;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferPerfSalaryBas;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferConfidentialFee;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferAgreedOvertimePay;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contzTransferOtherSubsidy;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrecApproval;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contempEnrollEntry;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbillState;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chkisGenerateContract;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chkisGenerateSignature;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker kDDateLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtperson;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkhireDate;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtadminOrg;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtposition;
    protected com.kingdee.bos.ctrl.swing.KDComboBox eSignStatus;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtotherContractBill;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferPositionSalary;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferBaseSalary;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferPerfSalaryBas;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferSalary;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferConfidentialFee;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferAgreedOvertimePay;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsTransferOtherSubsidy;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferSalary;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferBaseSalary;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferPositionSalary;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferPerfSalaryBas;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferConfidentialFee;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferAgreedOvertimePay;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtzTransferOtherSubsidy;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtrecApproval;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtempEnrollEntry;
    protected com.kingdee.bos.ctrl.swing.KDComboBox billState;
    protected com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractSalaryConfirmationEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractSalaryConfirmationEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrint
        actionPrint.setEnabled(true);
        actionPrint.setDaemonRun(false);

        actionPrint.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl P"));
        _tempStr = resHelper.getString("ActionPrint.SHORT_DESCRIPTION");
        actionPrint.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.LONG_DESCRIPTION");
        actionPrint.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrint.NAME");
        actionPrint.putValue(ItemAction.NAME, _tempStr);
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrint.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        //actionPrintPreview
        actionPrintPreview.setEnabled(true);
        actionPrintPreview.setDaemonRun(false);

        actionPrintPreview.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl P"));
        _tempStr = resHelper.getString("ActionPrintPreview.SHORT_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.LONG_DESCRIPTION");
        actionPrintPreview.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionPrintPreview.NAME");
        actionPrintPreview.putValue(ItemAction.NAME, _tempStr);
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionPrintPreview.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kdtEntrys = new com.kingdee.bos.ctrl.kdf.table.KDTable();
        this.kdtEntrys1 = new com.kingdee.bos.ctrl.kdf.table.KDTable();
        this.contperson = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conthireDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contadminOrg = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contposition = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conteSignStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contotherContractBill = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferPositionSalary = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferBaseSalary = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferPerfSalaryBas = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferSalary = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferConfidentialFee = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferAgreedOvertimePay = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsTransferOtherSubsidy = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferSalary = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferBaseSalary = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferPositionSalary = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferPerfSalaryBas = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferConfidentialFee = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferAgreedOvertimePay = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contzTransferOtherSubsidy = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrecApproval = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contempEnrollEntry = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbillState = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.chkisGenerateContract = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.chkisGenerateSignature = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.kDDateLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtperson = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pkhireDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtadminOrg = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtposition = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.eSignStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.prmtotherContractBill = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtsTransferPositionSalary = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsTransferBaseSalary = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsTransferPerfSalaryBas = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsTransferSalary = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsTransferConfidentialFee = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsTransferAgreedOvertimePay = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsTransferOtherSubsidy = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferSalary = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferBaseSalary = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferPositionSalary = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferPerfSalaryBas = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferConfidentialFee = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferAgreedOvertimePay = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtzTransferOtherSubsidy = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.prmtrecApproval = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtempEnrollEntry = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.billState = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.kdtEntrys.setName("kdtEntrys");
        this.kdtEntrys1.setName("kdtEntrys1");
        this.contperson.setName("contperson");
        this.conthireDate.setName("conthireDate");
        this.contadminOrg.setName("contadminOrg");
        this.contposition.setName("contposition");
        this.conteSignStatus.setName("conteSignStatus");
        this.contotherContractBill.setName("contotherContractBill");
        this.contsTransferPositionSalary.setName("contsTransferPositionSalary");
        this.contsTransferBaseSalary.setName("contsTransferBaseSalary");
        this.contsTransferPerfSalaryBas.setName("contsTransferPerfSalaryBas");
        this.contsTransferSalary.setName("contsTransferSalary");
        this.contsTransferConfidentialFee.setName("contsTransferConfidentialFee");
        this.contsTransferAgreedOvertimePay.setName("contsTransferAgreedOvertimePay");
        this.contsTransferOtherSubsidy.setName("contsTransferOtherSubsidy");
        this.contzTransferSalary.setName("contzTransferSalary");
        this.contzTransferBaseSalary.setName("contzTransferBaseSalary");
        this.contzTransferPositionSalary.setName("contzTransferPositionSalary");
        this.contzTransferPerfSalaryBas.setName("contzTransferPerfSalaryBas");
        this.contzTransferConfidentialFee.setName("contzTransferConfidentialFee");
        this.contzTransferAgreedOvertimePay.setName("contzTransferAgreedOvertimePay");
        this.contzTransferOtherSubsidy.setName("contzTransferOtherSubsidy");
        this.contrecApproval.setName("contrecApproval");
        this.contempEnrollEntry.setName("contempEnrollEntry");
        this.contbillState.setName("contbillState");
        this.chkisGenerateContract.setName("chkisGenerateContract");
        this.chkisGenerateSignature.setName("chkisGenerateSignature");
        this.prmtCreator.setName("prmtCreator");
        this.kDDateCreateTime.setName("kDDateCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.kDDateLastUpdateTime.setName("kDDateLastUpdateTime");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.prmtperson.setName("prmtperson");
        this.pkhireDate.setName("pkhireDate");
        this.prmtadminOrg.setName("prmtadminOrg");
        this.prmtposition.setName("prmtposition");
        this.eSignStatus.setName("eSignStatus");
        this.prmtotherContractBill.setName("prmtotherContractBill");
        this.txtsTransferPositionSalary.setName("txtsTransferPositionSalary");
        this.txtsTransferBaseSalary.setName("txtsTransferBaseSalary");
        this.txtsTransferPerfSalaryBas.setName("txtsTransferPerfSalaryBas");
        this.txtsTransferSalary.setName("txtsTransferSalary");
        this.txtsTransferConfidentialFee.setName("txtsTransferConfidentialFee");
        this.txtsTransferAgreedOvertimePay.setName("txtsTransferAgreedOvertimePay");
        this.txtsTransferOtherSubsidy.setName("txtsTransferOtherSubsidy");
        this.txtzTransferSalary.setName("txtzTransferSalary");
        this.txtzTransferBaseSalary.setName("txtzTransferBaseSalary");
        this.txtzTransferPositionSalary.setName("txtzTransferPositionSalary");
        this.txtzTransferPerfSalaryBas.setName("txtzTransferPerfSalaryBas");
        this.txtzTransferConfidentialFee.setName("txtzTransferConfidentialFee");
        this.txtzTransferAgreedOvertimePay.setName("txtzTransferAgreedOvertimePay");
        this.txtzTransferOtherSubsidy.setName("txtzTransferOtherSubsidy");
        this.prmtrecApproval.setName("prmtrecApproval");
        this.prmtempEnrollEntry.setName("prmtempEnrollEntry");
        this.billState.setName("billState");
        // CoreUI		
        this.btnTraceUp.setVisible(false);		
        this.btnTraceDown.setVisible(false);		
        this.btnCreateTo.setVisible(true);		
        this.btnAddLine.setVisible(false);		
        this.btnCopyLine.setVisible(false);		
        this.btnInsertLine.setVisible(false);		
        this.btnRemoveLine.setVisible(false);		
        this.btnAuditResult.setVisible(false);		
        this.separator1.setVisible(false);		
        this.menuItemCreateTo.setVisible(true);		
        this.separator3.setVisible(false);		
        this.menuItemTraceUp.setVisible(false);		
        this.menuItemTraceDown.setVisible(false);		
        this.menuTable1.setVisible(false);		
        this.menuItemAddLine.setVisible(false);		
        this.menuItemCopyLine.setVisible(false);		
        this.menuItemInsertLine.setVisible(false);		
        this.menuItemRemoveLine.setVisible(false);		
        this.menuItemViewSubmitProccess.setVisible(false);		
        this.menuItemViewDoProccess.setVisible(false);		
        this.menuItemAuditResult.setVisible(false);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);		
        this.contCreator.setEnabled(false);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);		
        this.contCreateTime.setEnabled(false);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);		
        this.contLastUpdateUser.setEnabled(false);		
        this.contLastUpdateUser.setVisible(false);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);		
        this.contLastUpdateTime.setEnabled(false);		
        this.contLastUpdateTime.setVisible(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);		
        this.contBizDate.setBoundLabelAlignment(7);		
        this.contBizDate.setVisible(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // kdtEntrys
		String kdtEntrysStrXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><DocRoot xmlns:c=\"http://www.kingdee.com/Common\" xmlns:f=\"http://www.kingdee.com/Form\" xmlns:t=\"http://www.kingdee.com/Table\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.kingdee.com/KDF KDFSchema.xsd\" version=\"0.0\"><Styles><c:Style id=\"sCol0\"><c:Protection hidden=\"true\" /></c:Style><c:Style id=\"sCol2\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style></Styles><Table id=\"KDTable\"><t:Sheet name=\"sheet1\"><t:Table t:selectMode=\"15\" t:mergeMode=\"0\" t:dataRequestMode=\"0\" t:pageRowCount=\"100\"><t:ColumnGroup><t:Column t:key=\"id\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol0\" /><t:Column t:key=\"salaryItem\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"amount\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol2\" /><t:Column t:key=\"remark\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /></t:ColumnGroup><t:Head><t:Row t:name=\"header\" t:height=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\"><t:Cell>$Resource{id}</t:Cell><t:Cell>$Resource{salaryItem}</t:Cell><t:Cell>$Resource{amount}</t:Cell><t:Cell>$Resource{remark}</t:Cell></t:Row></t:Head></t:Table><t:SheetOptions><t:MergeBlocks><t:Head /></t:MergeBlocks></t:SheetOptions></t:Sheet></Table></DocRoot>";
		
        this.kdtEntrys.setFormatXml(resHelper.translateString("kdtEntrys",kdtEntrysStrXML));

                this.kdtEntrys.putBindContents("editData",new String[] {"id","salaryItem","amount","remark"});


        this.kdtEntrys.checkParsed();
        KDFormattedTextField kdtEntrys_amount_TextField = new KDFormattedTextField();
        kdtEntrys_amount_TextField.setName("kdtEntrys_amount_TextField");
        kdtEntrys_amount_TextField.setVisible(true);
        kdtEntrys_amount_TextField.setEditable(true);
        kdtEntrys_amount_TextField.setHorizontalAlignment(2);
        kdtEntrys_amount_TextField.setDataType(1);
        	kdtEntrys_amount_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys_amount_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys_amount_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys_amount_CellEditor = new KDTDefaultCellEditor(kdtEntrys_amount_TextField);
        this.kdtEntrys.getColumn("amount").setEditor(kdtEntrys_amount_CellEditor);
        KDTextArea kdtEntrys_remark_TextArea = new KDTextArea();
        kdtEntrys_remark_TextArea.setName("kdtEntrys_remark_TextArea");
        kdtEntrys_remark_TextArea.setMaxLength(255);
        KDTDefaultCellEditor kdtEntrys_remark_CellEditor = new KDTDefaultCellEditor(kdtEntrys_remark_TextArea);
        this.kdtEntrys.getColumn("remark").setEditor(kdtEntrys_remark_CellEditor);
        // kdtEntrys1
		String kdtEntrys1StrXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><DocRoot xmlns:c=\"http://www.kingdee.com/Common\" xmlns:f=\"http://www.kingdee.com/Form\" xmlns:t=\"http://www.kingdee.com/Table\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.kingdee.com/KDF KDFSchema.xsd\" version=\"0.0\"><Styles><c:Style id=\"sCol0\"><c:NumberFormat>&amp;int</c:NumberFormat></c:Style><c:Style id=\"sCol2\"><c:NumberFormat>&amp;double</c:NumberFormat></c:Style></Styles><Table id=\"KDTable\"><t:Sheet name=\"sheet1\"><t:Table t:selectMode=\"15\" t:mergeMode=\"0\" t:dataRequestMode=\"0\" t:pageRowCount=\"100\"><t:ColumnGroup><t:Column t:key=\"seq\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol0\" /><t:Column t:key=\"salaryItem\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"amount\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol2\" /><t:Column t:key=\"remark\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /></t:ColumnGroup><t:Head><t:Row t:name=\"header\" t:height=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\"><t:Cell>$Resource{seq}</t:Cell><t:Cell>$Resource{salaryItem}</t:Cell><t:Cell>$Resource{amount}</t:Cell><t:Cell>$Resource{remark}</t:Cell></t:Row></t:Head></t:Table><t:SheetOptions><t:MergeBlocks><t:Head /></t:MergeBlocks></t:SheetOptions></t:Sheet></Table></DocRoot>";
		
        this.kdtEntrys1.setFormatXml(resHelper.translateString("kdtEntrys1",kdtEntrys1StrXML));

                this.kdtEntrys1.putBindContents("editData",new String[] {"seq","salaryItem","amount","remark"});


        this.kdtEntrys1.checkParsed();
        KDFormattedTextField kdtEntrys1_seq_TextField = new KDFormattedTextField();
        kdtEntrys1_seq_TextField.setName("kdtEntrys1_seq_TextField");
        kdtEntrys1_seq_TextField.setVisible(true);
        kdtEntrys1_seq_TextField.setEditable(true);
        kdtEntrys1_seq_TextField.setHorizontalAlignment(2);
        kdtEntrys1_seq_TextField.setDataType(0);
        KDTDefaultCellEditor kdtEntrys1_seq_CellEditor = new KDTDefaultCellEditor(kdtEntrys1_seq_TextField);
        this.kdtEntrys1.getColumn("seq").setEditor(kdtEntrys1_seq_CellEditor);
        KDFormattedTextField kdtEntrys1_amount_TextField = new KDFormattedTextField();
        kdtEntrys1_amount_TextField.setName("kdtEntrys1_amount_TextField");
        kdtEntrys1_amount_TextField.setVisible(true);
        kdtEntrys1_amount_TextField.setEditable(true);
        kdtEntrys1_amount_TextField.setHorizontalAlignment(2);
        kdtEntrys1_amount_TextField.setDataType(1);
        	kdtEntrys1_amount_TextField.setMinimumValue(new java.math.BigDecimal("-1.0E18"));
        	kdtEntrys1_amount_TextField.setMaximumValue(new java.math.BigDecimal("1.0E18"));
        kdtEntrys1_amount_TextField.setPrecision(10);
        KDTDefaultCellEditor kdtEntrys1_amount_CellEditor = new KDTDefaultCellEditor(kdtEntrys1_amount_TextField);
        this.kdtEntrys1.getColumn("amount").setEditor(kdtEntrys1_amount_CellEditor);
        KDTextArea kdtEntrys1_remark_TextArea = new KDTextArea();
        kdtEntrys1_remark_TextArea.setName("kdtEntrys1_remark_TextArea");
        kdtEntrys1_remark_TextArea.setMaxLength(255);
        KDTDefaultCellEditor kdtEntrys1_remark_CellEditor = new KDTDefaultCellEditor(kdtEntrys1_remark_TextArea);
        this.kdtEntrys1.getColumn("remark").setEditor(kdtEntrys1_remark_CellEditor);
        // contperson		
        this.contperson.setBoundLabelText(resHelper.getString("contperson.boundLabelText"));		
        this.contperson.setBoundLabelLength(100);		
        this.contperson.setBoundLabelUnderline(true);		
        this.contperson.setVisible(true);
        // conthireDate		
        this.conthireDate.setBoundLabelText(resHelper.getString("conthireDate.boundLabelText"));		
        this.conthireDate.setBoundLabelLength(100);		
        this.conthireDate.setBoundLabelUnderline(true);		
        this.conthireDate.setVisible(true);
        // contadminOrg		
        this.contadminOrg.setBoundLabelText(resHelper.getString("contadminOrg.boundLabelText"));		
        this.contadminOrg.setBoundLabelLength(100);		
        this.contadminOrg.setBoundLabelUnderline(true);		
        this.contadminOrg.setVisible(true);
        // contposition		
        this.contposition.setBoundLabelText(resHelper.getString("contposition.boundLabelText"));		
        this.contposition.setBoundLabelLength(100);		
        this.contposition.setBoundLabelUnderline(true);		
        this.contposition.setVisible(true);
        // conteSignStatus		
        this.conteSignStatus.setBoundLabelText(resHelper.getString("conteSignStatus.boundLabelText"));		
        this.conteSignStatus.setBoundLabelLength(100);		
        this.conteSignStatus.setBoundLabelUnderline(true);		
        this.conteSignStatus.setVisible(true);
        // contotherContractBill		
        this.contotherContractBill.setBoundLabelText(resHelper.getString("contotherContractBill.boundLabelText"));		
        this.contotherContractBill.setBoundLabelLength(100);		
        this.contotherContractBill.setBoundLabelUnderline(true);		
        this.contotherContractBill.setVisible(true);
        // contsTransferPositionSalary		
        this.contsTransferPositionSalary.setBoundLabelText(resHelper.getString("contsTransferPositionSalary.boundLabelText"));		
        this.contsTransferPositionSalary.setBoundLabelLength(100);		
        this.contsTransferPositionSalary.setBoundLabelUnderline(true);		
        this.contsTransferPositionSalary.setVisible(true);
        // contsTransferBaseSalary		
        this.contsTransferBaseSalary.setBoundLabelText(resHelper.getString("contsTransferBaseSalary.boundLabelText"));		
        this.contsTransferBaseSalary.setBoundLabelLength(100);		
        this.contsTransferBaseSalary.setBoundLabelUnderline(true);		
        this.contsTransferBaseSalary.setVisible(true);
        // contsTransferPerfSalaryBas		
        this.contsTransferPerfSalaryBas.setBoundLabelText(resHelper.getString("contsTransferPerfSalaryBas.boundLabelText"));		
        this.contsTransferPerfSalaryBas.setBoundLabelLength(100);		
        this.contsTransferPerfSalaryBas.setBoundLabelUnderline(true);		
        this.contsTransferPerfSalaryBas.setVisible(true);
        // contsTransferSalary		
        this.contsTransferSalary.setBoundLabelText(resHelper.getString("contsTransferSalary.boundLabelText"));		
        this.contsTransferSalary.setBoundLabelLength(100);		
        this.contsTransferSalary.setBoundLabelUnderline(true);		
        this.contsTransferSalary.setVisible(true);
        // contsTransferConfidentialFee		
        this.contsTransferConfidentialFee.setBoundLabelText(resHelper.getString("contsTransferConfidentialFee.boundLabelText"));		
        this.contsTransferConfidentialFee.setBoundLabelLength(100);		
        this.contsTransferConfidentialFee.setBoundLabelUnderline(true);		
        this.contsTransferConfidentialFee.setVisible(true);
        // contsTransferAgreedOvertimePay		
        this.contsTransferAgreedOvertimePay.setBoundLabelText(resHelper.getString("contsTransferAgreedOvertimePay.boundLabelText"));		
        this.contsTransferAgreedOvertimePay.setBoundLabelLength(100);		
        this.contsTransferAgreedOvertimePay.setBoundLabelUnderline(true);		
        this.contsTransferAgreedOvertimePay.setVisible(true);
        // contsTransferOtherSubsidy		
        this.contsTransferOtherSubsidy.setBoundLabelText(resHelper.getString("contsTransferOtherSubsidy.boundLabelText"));		
        this.contsTransferOtherSubsidy.setBoundLabelLength(100);		
        this.contsTransferOtherSubsidy.setBoundLabelUnderline(true);		
        this.contsTransferOtherSubsidy.setVisible(true);
        // contzTransferSalary		
        this.contzTransferSalary.setBoundLabelText(resHelper.getString("contzTransferSalary.boundLabelText"));		
        this.contzTransferSalary.setBoundLabelLength(100);		
        this.contzTransferSalary.setBoundLabelUnderline(true);		
        this.contzTransferSalary.setVisible(true);
        // contzTransferBaseSalary		
        this.contzTransferBaseSalary.setBoundLabelText(resHelper.getString("contzTransferBaseSalary.boundLabelText"));		
        this.contzTransferBaseSalary.setBoundLabelLength(100);		
        this.contzTransferBaseSalary.setBoundLabelUnderline(true);		
        this.contzTransferBaseSalary.setVisible(true);
        // contzTransferPositionSalary		
        this.contzTransferPositionSalary.setBoundLabelText(resHelper.getString("contzTransferPositionSalary.boundLabelText"));		
        this.contzTransferPositionSalary.setBoundLabelLength(100);		
        this.contzTransferPositionSalary.setBoundLabelUnderline(true);		
        this.contzTransferPositionSalary.setVisible(true);
        // contzTransferPerfSalaryBas		
        this.contzTransferPerfSalaryBas.setBoundLabelText(resHelper.getString("contzTransferPerfSalaryBas.boundLabelText"));		
        this.contzTransferPerfSalaryBas.setBoundLabelLength(100);		
        this.contzTransferPerfSalaryBas.setBoundLabelUnderline(true);		
        this.contzTransferPerfSalaryBas.setVisible(true);
        // contzTransferConfidentialFee		
        this.contzTransferConfidentialFee.setBoundLabelText(resHelper.getString("contzTransferConfidentialFee.boundLabelText"));		
        this.contzTransferConfidentialFee.setBoundLabelLength(100);		
        this.contzTransferConfidentialFee.setBoundLabelUnderline(true);		
        this.contzTransferConfidentialFee.setVisible(true);
        // contzTransferAgreedOvertimePay		
        this.contzTransferAgreedOvertimePay.setBoundLabelText(resHelper.getString("contzTransferAgreedOvertimePay.boundLabelText"));		
        this.contzTransferAgreedOvertimePay.setBoundLabelLength(100);		
        this.contzTransferAgreedOvertimePay.setBoundLabelUnderline(true);		
        this.contzTransferAgreedOvertimePay.setVisible(true);
        // contzTransferOtherSubsidy		
        this.contzTransferOtherSubsidy.setBoundLabelText(resHelper.getString("contzTransferOtherSubsidy.boundLabelText"));		
        this.contzTransferOtherSubsidy.setBoundLabelLength(100);		
        this.contzTransferOtherSubsidy.setBoundLabelUnderline(true);		
        this.contzTransferOtherSubsidy.setVisible(true);
        // contrecApproval		
        this.contrecApproval.setBoundLabelText(resHelper.getString("contrecApproval.boundLabelText"));		
        this.contrecApproval.setBoundLabelLength(100);		
        this.contrecApproval.setBoundLabelUnderline(true);		
        this.contrecApproval.setVisible(true);
        // contempEnrollEntry		
        this.contempEnrollEntry.setBoundLabelText(resHelper.getString("contempEnrollEntry.boundLabelText"));		
        this.contempEnrollEntry.setBoundLabelLength(100);		
        this.contempEnrollEntry.setBoundLabelUnderline(true);		
        this.contempEnrollEntry.setVisible(true);
        // contbillState		
        this.contbillState.setBoundLabelText(resHelper.getString("contbillState.boundLabelText"));		
        this.contbillState.setBoundLabelLength(100);		
        this.contbillState.setBoundLabelUnderline(true);		
        this.contbillState.setVisible(true);
        // chkisGenerateContract		
        this.chkisGenerateContract.setText(resHelper.getString("chkisGenerateContract.text"));		
        this.chkisGenerateContract.setVisible(true);		
        this.chkisGenerateContract.setHorizontalAlignment(2);
        // chkisGenerateSignature		
        this.chkisGenerateSignature.setText(resHelper.getString("chkisGenerateSignature.text"));		
        this.chkisGenerateSignature.setVisible(true);		
        this.chkisGenerateSignature.setHorizontalAlignment(2);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);
        // kDDateCreateTime		
        this.kDDateCreateTime.setTimeEnabled(true);		
        this.kDDateCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);
        // kDDateLastUpdateTime		
        this.kDDateLastUpdateTime.setTimeEnabled(true);		
        this.kDDateLastUpdateTime.setEnabled(false);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // pkBizDate		
        this.pkBizDate.setVisible(true);		
        this.pkBizDate.setEnabled(true);
        // txtDescription		
        this.txtDescription.setMaxLength(80);
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);
        // prmtperson		
        this.prmtperson.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonFilterQuery");		
        this.prmtperson.setVisible(true);		
        this.prmtperson.setEditable(true);		
        this.prmtperson.setDisplayFormat("$name$");		
        this.prmtperson.setEditFormat("$number$");		
        this.prmtperson.setCommitFormat("$number$");		
        this.prmtperson.setRequired(false);
        // pkhireDate		
        this.pkhireDate.setVisible(true);		
        this.pkhireDate.setRequired(false);
        // prmtadminOrg		
        this.prmtadminOrg.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");		
        this.prmtadminOrg.setVisible(true);		
        this.prmtadminOrg.setEditable(true);		
        this.prmtadminOrg.setDisplayFormat("$name$");		
        this.prmtadminOrg.setEditFormat("$number$");		
        this.prmtadminOrg.setCommitFormat("$number$");		
        this.prmtadminOrg.setRequired(false);
        // prmtposition		
        this.prmtposition.setQueryInfo("com.kingdee.eas.hr.org.app.PositionHRListQuery");		
        this.prmtposition.setVisible(true);		
        this.prmtposition.setEditable(true);		
        this.prmtposition.setDisplayFormat("$name$");		
        this.prmtposition.setEditFormat("$number$");		
        this.prmtposition.setCommitFormat("$number$");		
        this.prmtposition.setRequired(false);
        // eSignStatus		
        this.eSignStatus.setVisible(true);		
        this.eSignStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.compensation.startingsalary.bizEnum.ESignStatusEnum").toArray());		
        this.eSignStatus.setRequired(false);
        // prmtotherContractBill		
        this.prmtotherContractBill.setQueryInfo("com.kingdee.eas.hr.contract.app.OtherContractSignBizBillQuery");		
        this.prmtotherContractBill.setVisible(true);		
        this.prmtotherContractBill.setEditable(true);		
        this.prmtotherContractBill.setDisplayFormat("$applyDate$");		
        this.prmtotherContractBill.setEditFormat("$number$");		
        this.prmtotherContractBill.setCommitFormat("$number$");		
        this.prmtotherContractBill.setRequired(false);
        // txtsTransferPositionSalary		
        this.txtsTransferPositionSalary.setVisible(true);		
        this.txtsTransferPositionSalary.setHorizontalAlignment(2);		
        this.txtsTransferPositionSalary.setDataType(1);		
        this.txtsTransferPositionSalary.setSupportedEmpty(true);		
        this.txtsTransferPositionSalary.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferPositionSalary.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferPositionSalary.setPrecision(2);		
        this.txtsTransferPositionSalary.setRequired(false);
        // txtsTransferBaseSalary		
        this.txtsTransferBaseSalary.setVisible(true);		
        this.txtsTransferBaseSalary.setHorizontalAlignment(2);		
        this.txtsTransferBaseSalary.setDataType(1);		
        this.txtsTransferBaseSalary.setSupportedEmpty(true);		
        this.txtsTransferBaseSalary.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferBaseSalary.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferBaseSalary.setPrecision(2);		
        this.txtsTransferBaseSalary.setRequired(false);
        // txtsTransferPerfSalaryBas		
        this.txtsTransferPerfSalaryBas.setVisible(true);		
        this.txtsTransferPerfSalaryBas.setHorizontalAlignment(2);		
        this.txtsTransferPerfSalaryBas.setDataType(1);		
        this.txtsTransferPerfSalaryBas.setSupportedEmpty(true);		
        this.txtsTransferPerfSalaryBas.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferPerfSalaryBas.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferPerfSalaryBas.setPrecision(2);		
        this.txtsTransferPerfSalaryBas.setRequired(false);
        // txtsTransferSalary		
        this.txtsTransferSalary.setVisible(true);		
        this.txtsTransferSalary.setHorizontalAlignment(2);		
        this.txtsTransferSalary.setDataType(1);		
        this.txtsTransferSalary.setSupportedEmpty(true);		
        this.txtsTransferSalary.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferSalary.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferSalary.setPrecision(2);		
        this.txtsTransferSalary.setRequired(false);
        // txtsTransferConfidentialFee		
        this.txtsTransferConfidentialFee.setVisible(true);		
        this.txtsTransferConfidentialFee.setHorizontalAlignment(2);		
        this.txtsTransferConfidentialFee.setDataType(1);		
        this.txtsTransferConfidentialFee.setSupportedEmpty(true);		
        this.txtsTransferConfidentialFee.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferConfidentialFee.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferConfidentialFee.setPrecision(2);		
        this.txtsTransferConfidentialFee.setRequired(false);
        // txtsTransferAgreedOvertimePay		
        this.txtsTransferAgreedOvertimePay.setVisible(true);		
        this.txtsTransferAgreedOvertimePay.setHorizontalAlignment(2);		
        this.txtsTransferAgreedOvertimePay.setDataType(1);		
        this.txtsTransferAgreedOvertimePay.setSupportedEmpty(true);		
        this.txtsTransferAgreedOvertimePay.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferAgreedOvertimePay.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferAgreedOvertimePay.setPrecision(2);		
        this.txtsTransferAgreedOvertimePay.setRequired(false);
        // txtsTransferOtherSubsidy		
        this.txtsTransferOtherSubsidy.setVisible(true);		
        this.txtsTransferOtherSubsidy.setHorizontalAlignment(2);		
        this.txtsTransferOtherSubsidy.setDataType(1);		
        this.txtsTransferOtherSubsidy.setSupportedEmpty(true);		
        this.txtsTransferOtherSubsidy.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtsTransferOtherSubsidy.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtsTransferOtherSubsidy.setPrecision(2);		
        this.txtsTransferOtherSubsidy.setRequired(false);
        // txtzTransferSalary		
        this.txtzTransferSalary.setVisible(true);		
        this.txtzTransferSalary.setHorizontalAlignment(2);		
        this.txtzTransferSalary.setDataType(1);		
        this.txtzTransferSalary.setSupportedEmpty(true);		
        this.txtzTransferSalary.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferSalary.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferSalary.setPrecision(2);		
        this.txtzTransferSalary.setRequired(false);
        // txtzTransferBaseSalary		
        this.txtzTransferBaseSalary.setVisible(true);		
        this.txtzTransferBaseSalary.setHorizontalAlignment(2);		
        this.txtzTransferBaseSalary.setDataType(1);		
        this.txtzTransferBaseSalary.setSupportedEmpty(true);		
        this.txtzTransferBaseSalary.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferBaseSalary.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferBaseSalary.setPrecision(2);		
        this.txtzTransferBaseSalary.setRequired(false);
        // txtzTransferPositionSalary		
        this.txtzTransferPositionSalary.setVisible(true);		
        this.txtzTransferPositionSalary.setHorizontalAlignment(2);		
        this.txtzTransferPositionSalary.setDataType(1);		
        this.txtzTransferPositionSalary.setSupportedEmpty(true);		
        this.txtzTransferPositionSalary.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferPositionSalary.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferPositionSalary.setPrecision(2);		
        this.txtzTransferPositionSalary.setRequired(false);
        // txtzTransferPerfSalaryBas		
        this.txtzTransferPerfSalaryBas.setVisible(true);		
        this.txtzTransferPerfSalaryBas.setHorizontalAlignment(2);		
        this.txtzTransferPerfSalaryBas.setDataType(1);		
        this.txtzTransferPerfSalaryBas.setSupportedEmpty(true);		
        this.txtzTransferPerfSalaryBas.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferPerfSalaryBas.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferPerfSalaryBas.setPrecision(2);		
        this.txtzTransferPerfSalaryBas.setRequired(false);
        // txtzTransferConfidentialFee		
        this.txtzTransferConfidentialFee.setVisible(true);		
        this.txtzTransferConfidentialFee.setHorizontalAlignment(2);		
        this.txtzTransferConfidentialFee.setDataType(1);		
        this.txtzTransferConfidentialFee.setSupportedEmpty(true);		
        this.txtzTransferConfidentialFee.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferConfidentialFee.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferConfidentialFee.setPrecision(2);		
        this.txtzTransferConfidentialFee.setRequired(false);
        // txtzTransferAgreedOvertimePay		
        this.txtzTransferAgreedOvertimePay.setVisible(true);		
        this.txtzTransferAgreedOvertimePay.setHorizontalAlignment(2);		
        this.txtzTransferAgreedOvertimePay.setDataType(1);		
        this.txtzTransferAgreedOvertimePay.setSupportedEmpty(true);		
        this.txtzTransferAgreedOvertimePay.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferAgreedOvertimePay.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferAgreedOvertimePay.setPrecision(2);		
        this.txtzTransferAgreedOvertimePay.setRequired(false);
        // txtzTransferOtherSubsidy		
        this.txtzTransferOtherSubsidy.setVisible(true);		
        this.txtzTransferOtherSubsidy.setHorizontalAlignment(2);		
        this.txtzTransferOtherSubsidy.setDataType(1);		
        this.txtzTransferOtherSubsidy.setSupportedEmpty(true);		
        this.txtzTransferOtherSubsidy.setMinimumValue( new java.math.BigDecimal("-1.0E18"));		
        this.txtzTransferOtherSubsidy.setMaximumValue( new java.math.BigDecimal("1.0E18"));		
        this.txtzTransferOtherSubsidy.setPrecision(2);		
        this.txtzTransferOtherSubsidy.setRequired(false);
        // prmtrecApproval		
        this.prmtrecApproval.setQueryInfo("com.kingdee.eas.hr.rec.app.HireApplyBillQuery");		
        this.prmtrecApproval.setVisible(true);		
        this.prmtrecApproval.setEditable(true);		
        this.prmtrecApproval.setDisplayFormat("$billState$");		
        this.prmtrecApproval.setEditFormat("$number$");		
        this.prmtrecApproval.setCommitFormat("$number$");		
        this.prmtrecApproval.setRequired(false);
        // prmtempEnrollEntry		
        this.prmtempEnrollEntry.setVisible(true);		
        this.prmtempEnrollEntry.setEditable(true);		
        this.prmtempEnrollEntry.setDisplayFormat("$billState$");		
        this.prmtempEnrollEntry.setEditFormat("$number$");		
        this.prmtempEnrollEntry.setCommitFormat("$number$");		
        this.prmtempEnrollEntry.setRequired(false);
        // billState		
        this.billState.setVisible(true);		
        this.billState.addItems(EnumUtils.getEnumList("com.kingdee.eas.hr.base.HRBillStateEnum").toArray());		
        this.billState.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {prmtperson,pkhireDate,prmtadminOrg,prmtposition,kdtEntrys1,kDDateLastUpdateTime,prmtLastUpdateUser,kDDateCreateTime,prmtCreator,prmtAuditor,txtDescription,pkBizDate,txtNumber,kdtEntrys,eSignStatus,prmtotherContractBill,txtsTransferSalary,txtsTransferBaseSalary,txtsTransferPositionSalary,txtsTransferPerfSalaryBas,txtsTransferConfidentialFee,txtsTransferAgreedOvertimePay,txtsTransferOtherSubsidy,txtzTransferSalary,txtzTransferBaseSalary,txtzTransferPositionSalary,txtzTransferPerfSalaryBas,txtzTransferConfidentialFee,txtzTransferAgreedOvertimePay,txtzTransferOtherSubsidy,prmtrecApproval,prmtempEnrollEntry,billState,chkisGenerateContract,chkisGenerateSignature}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        contCreator.setBounds(new Rectangle(440, 524, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(730, 524, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(440, 555, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(730, 555, 270, 19));
        this.add(contLastUpdateTime, null);
        contNumber.setBounds(new Rectangle(728, 26, 270, 19));
        this.add(contNumber, null);
        contBizDate.setBounds(new Rectangle(350, 66, 270, 19));
        this.add(contBizDate, null);
        contDescription.setBounds(new Rectangle(728, 66, 270, 19));
        this.add(contDescription, null);
        contAuditor.setBounds(new Rectangle(15, 528, 270, 19));
        this.add(contAuditor, null);
        kdtEntrys.setBounds(new Rectangle(12, 99, 991, 413));
        kdtEntrys_detailPanel = (com.kingdee.eas.framework.client.multiDetail.DetailPanel)com.kingdee.eas.framework.client.multiDetail.HMDUtils.buildDetail(this,dataBinder,kdtEntrys,new com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntryInfo(),null,false);
        this.add(kdtEntrys_detailPanel, null);
        kdtEntrys1.setBounds(new Rectangle(0, 0, 600, 170));
        kdtEntrys1_detailPanel = (com.kingdee.eas.framework.client.multiDetail.DetailPanel)com.kingdee.eas.framework.client.multiDetail.HMDUtils.buildDetail(this,dataBinder,kdtEntrys1,new com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntrys1Info(),null,false);
        this.add(kdtEntrys1_detailPanel, null);
        contperson.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contperson, null);
        conthireDate.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conthireDate, null);
        contadminOrg.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contadminOrg, null);
        contposition.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contposition, null);
        conteSignStatus.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conteSignStatus, null);
        contotherContractBill.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contotherContractBill, null);
        contsTransferPositionSalary.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferPositionSalary, null);
        contsTransferBaseSalary.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferBaseSalary, null);
        contsTransferPerfSalaryBas.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferPerfSalaryBas, null);
        contsTransferSalary.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferSalary, null);
        contsTransferConfidentialFee.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferConfidentialFee, null);
        contsTransferAgreedOvertimePay.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferAgreedOvertimePay, null);
        contsTransferOtherSubsidy.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsTransferOtherSubsidy, null);
        contzTransferSalary.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferSalary, null);
        contzTransferBaseSalary.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferBaseSalary, null);
        contzTransferPositionSalary.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferPositionSalary, null);
        contzTransferPerfSalaryBas.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferPerfSalaryBas, null);
        contzTransferConfidentialFee.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferConfidentialFee, null);
        contzTransferAgreedOvertimePay.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferAgreedOvertimePay, null);
        contzTransferOtherSubsidy.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contzTransferOtherSubsidy, null);
        contrecApproval.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrecApproval, null);
        contempEnrollEntry.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contempEnrollEntry, null);
        contbillState.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbillState, null);
        chkisGenerateContract.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkisGenerateContract, null);
        chkisGenerateSignature.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkisGenerateSignature, null);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(kDDateCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(kDDateLastUpdateTime);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contperson
        contperson.setBoundEditor(prmtperson);
        //conthireDate
        conthireDate.setBoundEditor(pkhireDate);
        //contadminOrg
        contadminOrg.setBoundEditor(prmtadminOrg);
        //contposition
        contposition.setBoundEditor(prmtposition);
        //conteSignStatus
        conteSignStatus.setBoundEditor(eSignStatus);
        //contotherContractBill
        contotherContractBill.setBoundEditor(prmtotherContractBill);
        //contsTransferPositionSalary
        contsTransferPositionSalary.setBoundEditor(txtsTransferPositionSalary);
        //contsTransferBaseSalary
        contsTransferBaseSalary.setBoundEditor(txtsTransferBaseSalary);
        //contsTransferPerfSalaryBas
        contsTransferPerfSalaryBas.setBoundEditor(txtsTransferPerfSalaryBas);
        //contsTransferSalary
        contsTransferSalary.setBoundEditor(txtsTransferSalary);
        //contsTransferConfidentialFee
        contsTransferConfidentialFee.setBoundEditor(txtsTransferConfidentialFee);
        //contsTransferAgreedOvertimePay
        contsTransferAgreedOvertimePay.setBoundEditor(txtsTransferAgreedOvertimePay);
        //contsTransferOtherSubsidy
        contsTransferOtherSubsidy.setBoundEditor(txtsTransferOtherSubsidy);
        //contzTransferSalary
        contzTransferSalary.setBoundEditor(txtzTransferSalary);
        //contzTransferBaseSalary
        contzTransferBaseSalary.setBoundEditor(txtzTransferBaseSalary);
        //contzTransferPositionSalary
        contzTransferPositionSalary.setBoundEditor(txtzTransferPositionSalary);
        //contzTransferPerfSalaryBas
        contzTransferPerfSalaryBas.setBoundEditor(txtzTransferPerfSalaryBas);
        //contzTransferConfidentialFee
        contzTransferConfidentialFee.setBoundEditor(txtzTransferConfidentialFee);
        //contzTransferAgreedOvertimePay
        contzTransferAgreedOvertimePay.setBoundEditor(txtzTransferAgreedOvertimePay);
        //contzTransferOtherSubsidy
        contzTransferOtherSubsidy.setBoundEditor(txtzTransferOtherSubsidy);
        //contrecApproval
        contrecApproval.setBoundEditor(prmtrecApproval);
        //contempEnrollEntry
        contempEnrollEntry.setBoundEditor(prmtempEnrollEntry);
        //contbillState
        contbillState.setBoundEditor(billState);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        menuBiz.add(MenuItemPCVoucher);
        menuBiz.add(menuItemDelPCVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnPCVoucher);
        this.toolBar.add(btnDelPCVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("entrys.id", com.kingdee.bos.util.BOSUuid.class, this.kdtEntrys, "id.text");
		dataBinder.registerBinding("entrys", com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntryInfo.class, this.kdtEntrys, "userObject");
		dataBinder.registerBinding("entrys.salaryItem", java.lang.Object.class, this.kdtEntrys, "salaryItem.text");
		dataBinder.registerBinding("entrys.amount", java.math.BigDecimal.class, this.kdtEntrys, "amount.text");
		dataBinder.registerBinding("entrys.remark", String.class, this.kdtEntrys, "remark.text");
		dataBinder.registerBinding("Entrys1.seq", int.class, this.kdtEntrys1, "seq.text");
		dataBinder.registerBinding("Entrys1", com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationEntrys1Info.class, this.kdtEntrys1, "userObject");
		dataBinder.registerBinding("Entrys1.salaryItem", java.lang.Object.class, this.kdtEntrys1, "salaryItem.text");
		dataBinder.registerBinding("Entrys1.amount", java.math.BigDecimal.class, this.kdtEntrys1, "amount.text");
		dataBinder.registerBinding("Entrys1.remark", String.class, this.kdtEntrys1, "remark.text");
		dataBinder.registerBinding("isGenerateContract", boolean.class, this.chkisGenerateContract, "selected");
		dataBinder.registerBinding("isGenerateSignature", boolean.class, this.chkisGenerateSignature, "selected");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.kDDateCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.kDDateLastUpdateTime, "value");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("person", com.kingdee.eas.basedata.person.PersonInfo.class, this.prmtperson, "data");
		dataBinder.registerBinding("hireDate", java.util.Date.class, this.pkhireDate, "value");
		dataBinder.registerBinding("adminOrg", com.kingdee.eas.basedata.org.AdminOrgUnitInfo.class, this.prmtadminOrg, "data");
		dataBinder.registerBinding("position", com.kingdee.eas.basedata.org.PositionInfo.class, this.prmtposition, "data");
		dataBinder.registerBinding("eSignStatus", com.kingdee.eas.custom.compensation.startingsalary.bizEnum.ESignStatusEnum.class, this.eSignStatus, "selectedItem");
		dataBinder.registerBinding("otherContractBill", com.kingdee.eas.hr.contract.OtherContractSignBizBillInfo.class, this.prmtotherContractBill, "data");
		dataBinder.registerBinding("sTransferPositionSalary", java.math.BigDecimal.class, this.txtsTransferPositionSalary, "value");
		dataBinder.registerBinding("sTransferBaseSalary", java.math.BigDecimal.class, this.txtsTransferBaseSalary, "value");
		dataBinder.registerBinding("sTransferPerfSalaryBas", java.math.BigDecimal.class, this.txtsTransferPerfSalaryBas, "value");
		dataBinder.registerBinding("sTransferSalary", java.math.BigDecimal.class, this.txtsTransferSalary, "value");
		dataBinder.registerBinding("sTransferConfidentialFee", java.math.BigDecimal.class, this.txtsTransferConfidentialFee, "value");
		dataBinder.registerBinding("sTransferAgreedOvertimePay", java.math.BigDecimal.class, this.txtsTransferAgreedOvertimePay, "value");
		dataBinder.registerBinding("sTransferOtherSubsidy", java.math.BigDecimal.class, this.txtsTransferOtherSubsidy, "value");
		dataBinder.registerBinding("zTransferSalary", java.math.BigDecimal.class, this.txtzTransferSalary, "value");
		dataBinder.registerBinding("zTransferBaseSalary", java.math.BigDecimal.class, this.txtzTransferBaseSalary, "value");
		dataBinder.registerBinding("zTransferPositionSalary", java.math.BigDecimal.class, this.txtzTransferPositionSalary, "value");
		dataBinder.registerBinding("zTransferPerfSalaryBas", java.math.BigDecimal.class, this.txtzTransferPerfSalaryBas, "value");
		dataBinder.registerBinding("zTransferConfidentialFee", java.math.BigDecimal.class, this.txtzTransferConfidentialFee, "value");
		dataBinder.registerBinding("zTransferAgreedOvertimePay", java.math.BigDecimal.class, this.txtzTransferAgreedOvertimePay, "value");
		dataBinder.registerBinding("zTransferOtherSubsidy", java.math.BigDecimal.class, this.txtzTransferOtherSubsidy, "value");
		dataBinder.registerBinding("recApproval", com.kingdee.eas.hr.rec.HireApplyBillInfo.class, this.prmtrecApproval, "data");
		dataBinder.registerBinding("empEnrollEntry", com.kingdee.eas.hr.affair.EnrollBillInfo.class, this.prmtempEnrollEntry, "data");
		dataBinder.registerBinding("billState", com.kingdee.eas.hr.base.HRBillStateEnum.class, this.billState, "selectedItem");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.compensation.startingsalary.app.SalaryConfirmationEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.prmtperson.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????§µ??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("entrys.id", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.salaryItem", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.amount", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("entrys.remark", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Entrys1.seq", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Entrys1", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Entrys1.salaryItem", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Entrys1.amount", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Entrys1.remark", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("isGenerateContract", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("isGenerateSignature", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("person", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("hireDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("adminOrg", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("position", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("eSignStatus", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("otherContractBill", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferPositionSalary", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferBaseSalary", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferPerfSalaryBas", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferSalary", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferConfidentialFee", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferAgreedOvertimePay", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sTransferOtherSubsidy", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferSalary", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferBaseSalary", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferPositionSalary", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferPerfSalaryBas", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferConfidentialFee", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferAgreedOvertimePay", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("zTransferOtherSubsidy", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("recApproval", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("empEnrollEntry", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("billState", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
    	sic.add(new SelectorItemInfo("entrys.id"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.*"));
		}
		else{
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("entrys.salaryItem.*"));
		}
		else{
	    	sic.add(new SelectorItemInfo("entrys.salaryItem.id"));
			sic.add(new SelectorItemInfo("entrys.salaryItem.name"));
        	sic.add(new SelectorItemInfo("entrys.salaryItem.number"));
		}
    	sic.add(new SelectorItemInfo("entrys.amount"));
    	sic.add(new SelectorItemInfo("entrys.remark"));
    	sic.add(new SelectorItemInfo("Entrys1.seq"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("Entrys1.*"));
		}
		else{
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("Entrys1.salaryItem.*"));
		}
		else{
	    	sic.add(new SelectorItemInfo("Entrys1.salaryItem.id"));
			sic.add(new SelectorItemInfo("Entrys1.salaryItem.name"));
        	sic.add(new SelectorItemInfo("Entrys1.salaryItem.number"));
		}
    	sic.add(new SelectorItemInfo("Entrys1.amount"));
    	sic.add(new SelectorItemInfo("Entrys1.remark"));
        sic.add(new SelectorItemInfo("isGenerateContract"));
        sic.add(new SelectorItemInfo("isGenerateSignature"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("person.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("person.id"));
        	sic.add(new SelectorItemInfo("person.number"));
        	sic.add(new SelectorItemInfo("person.name"));
		}
        sic.add(new SelectorItemInfo("hireDate"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("adminOrg.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("adminOrg.id"));
        	sic.add(new SelectorItemInfo("adminOrg.number"));
        	sic.add(new SelectorItemInfo("adminOrg.name"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("position.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("position.id"));
        	sic.add(new SelectorItemInfo("position.number"));
        	sic.add(new SelectorItemInfo("position.name"));
		}
        sic.add(new SelectorItemInfo("eSignStatus"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("otherContractBill.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("otherContractBill.id"));
        	sic.add(new SelectorItemInfo("otherContractBill.number"));
        	sic.add(new SelectorItemInfo("otherContractBill.applyDate"));
		}
        sic.add(new SelectorItemInfo("sTransferPositionSalary"));
        sic.add(new SelectorItemInfo("sTransferBaseSalary"));
        sic.add(new SelectorItemInfo("sTransferPerfSalaryBas"));
        sic.add(new SelectorItemInfo("sTransferSalary"));
        sic.add(new SelectorItemInfo("sTransferConfidentialFee"));
        sic.add(new SelectorItemInfo("sTransferAgreedOvertimePay"));
        sic.add(new SelectorItemInfo("sTransferOtherSubsidy"));
        sic.add(new SelectorItemInfo("zTransferSalary"));
        sic.add(new SelectorItemInfo("zTransferBaseSalary"));
        sic.add(new SelectorItemInfo("zTransferPositionSalary"));
        sic.add(new SelectorItemInfo("zTransferPerfSalaryBas"));
        sic.add(new SelectorItemInfo("zTransferConfidentialFee"));
        sic.add(new SelectorItemInfo("zTransferAgreedOvertimePay"));
        sic.add(new SelectorItemInfo("zTransferOtherSubsidy"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("recApproval.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("recApproval.id"));
        	sic.add(new SelectorItemInfo("recApproval.number"));
        	sic.add(new SelectorItemInfo("recApproval.billState"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("empEnrollEntry.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("empEnrollEntry.id"));
        	sic.add(new SelectorItemInfo("empEnrollEntry.billState"));
        	sic.add(new SelectorItemInfo("empEnrollEntry.number"));
		}
        sic.add(new SelectorItemInfo("billState"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionPrint_actionPerformed method
     */
    public void actionPrint_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
    	if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.print(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
    	

    /**
     * output actionPrintPreview_actionPerformed method
     */
    public void actionPrintPreview_actionPerformed(ActionEvent e) throws Exception
    {
        ArrayList idList = new ArrayList();
        if (editData != null && !StringUtils.isEmpty(editData.getString("id"))) {
    		idList.add(editData.getString("id"));
    	}
        if (idList == null || idList.size() == 0 || getTDQueryPK() == null || getTDFileName() == null)
            return;
        com.kingdee.bos.ctrl.kdf.data.impl.BOSQueryDelegate data = new com.kingdee.eas.framework.util.CommonDataProvider(idList,getTDQueryPK());
        com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper appHlp = new com.kingdee.bos.ctrl.report.forapp.kdnote.client.KDNoteHelper();
        appHlp.printPreview(getTDFileName(), data, javax.swing.SwingUtilities.getWindowAncestor(this));
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionPrint(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrint(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrint() {
    	return false;
    }
	public RequestContext prepareActionPrintPreview(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionPrintPreview(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionPrintPreview() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.compensation.startingsalary.client", "SalaryConfirmationEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.compensation.startingsalary.client.SalaryConfirmationEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo objectValue = new com.kingdee.eas.custom.compensation.startingsalary.SalaryConfirmationInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/compensation/startingsalary/SalaryConfirmation";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.compensation.startingsalary.app.SalaryConfirmationQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {
        return kdtEntrys;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
		vo.put("eSignStatus","1");
vo.put("billState",new Integer(0));
        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}